kind: pipeline
type: docker
name: default

environment:
  NGINX_UID: 476
  NGINX_GID: 476

steps:
  - name: submodules
    image: alpine/git
    commands:
      - git submodule update --init --recursive --remote themes/ananke/

  - name: build
    image: plugins/hugo
    settings:
      hugo_version: 0.79.0
      validate: true

  - name: deploy
    image: einar/drone-rsync
    pull: never
    settings:
      source: public/
      target: /site/
      recursive: true
      exclude: [".gitignore", ".gitadd"]
    volumes:
      - name: site
        path: /site

  - name: permissions and cleanup
    image: alpine
    commands:
      - chown -R $NGINX_UID:$NGINX_ID /site/
      - rm -f /site/.gitadd /site/.gitignore
    volumes:
      - name: site
        path: /site

  - name: notify
    image: plugins/matrix
    settings:
      homeserver: https://conference.heavensinferno.net
      roomid:
        from_secret: roomid
      accesstoken:
        from_secret: access_token
      userid:
        from_secret: user_id
    when:
      status:
        - failure
        - success

trigger:
  branch:
    - master

volumes:
  - name: site
    host:
      path: /srv/www/htdocs/dennogumi.org
